Generate B2B Access Token API

This API is used to generate an 'Access Token,' which will be passed later in the header with the 'Authorization' key to other API calls. It is recommended to store and reuse it for the duration of the 'expiresIn' field.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The client can request an access token using only its client credentials (or other supported means of authentication) when the client is requesting access to the protected resources under its control (OAuth 2.0: RFC 6749 & 6750)

additionalInfo
object
required

Additional Info in JSON Object.

Headers
string
enum
required
length between 16 and 16

Represents the content type of the received data (e.g. application/json)

Allowed:
string
required
length between 24 and 27

Client's current local time in yyyy-MM-ddTHH:mm:ss.SSSTZD format.

string
required
length between 32 and 32

Client's client_id (PJP Name). It is provided when the registration process is completed.

string
required

Integrity checking, Asymmetric Signature: SHA256withRSA(Private_Key, stringToSign).

stringToSign = client_ID + "|" + X-TIMESTAMP

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json